> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# updateTableRows

> Updates specified rows in a table, allowing partial success with detailed feedback on errors.



## OpenAPI

````yaml /tables-openapi.json put /v1/tables/{table}/rows
openapi: 3.0.0
info:
  title: Botpress Tables API
  description: API for Botpress Tables
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/tables/{table}/rows:
    put:
      tags:
        - Endpoints
      description: >-
        Updates specified rows in a table, allowing partial success with
        detailed feedback on errors.
      operationId: updateTableRows
      parameters:
        - name: table
          in: path
          description: >-
            The table's name or unique identifier for targeting specific table
            operations.
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
        - name: x-integration-name
          in: header
          description: Integration name
          required: false
          schema:
            type: string
        - name: x-user-id
          in: header
          description: User Id
          required: false
          schema:
            type: string
        - name: x-user-role
          in: header
          description: User Role
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/updateTableRowsBody'
      responses:
        '200':
          $ref: '#/components/responses/updateTableRowsResponse'
        default:
          $ref: '#/components/responses/updateTableRowsResponse'
components:
  requestBodies:
    updateTableRowsBody:
      description: >-
        Data for rows to update, including IDs. Errors affect only specific
        rows, not the entire batch.
      content:
        application/json:
          schema:
            type: object
            properties:
              rows:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                      maximum: 2147483647
                  required:
                    - id
                  additionalProperties: true
                minItems: 1
                maxItems: 1000
                description: Rows with updated data, identified by ID.
              waitComputed:
                type: boolean
                description: >-
                  Ensure computed columns are fully processed before returning
                  the result. This is applicable only when the number of rows
                  involved is fewer than 1.
            required:
              - rows
            title: updateTableRowsBody
            additionalProperties: false
  responses:
    updateTableRowsResponse:
      description: >-
        Returns updated rows, including warnings for minor issues and errors for
        failed updates.
      content:
        application/json:
          schema:
            type: object
            properties:
              rows:
                type: array
                items:
                  $ref: '#/components/schemas/Row'
              warnings:
                type: array
                items:
                  type: string
                description: >-
                  Alerts for minor issues that don't block the operation but
                  suggest possible improvements.
              errors:
                type: array
                items:
                  type: string
                description: >-
                  Critical issues in specific elements that prevent their
                  successful processing, allowing partial operation success.
            required:
              - rows
            title: updateTableRowsResponse
            additionalProperties: false
  schemas:
    Row:
      type: object
      properties:
        id:
          type: number
          description: Unique identifier for the row.
        createdAt:
          type: string
          format: date-time
          description: Timestamp of row creation.
        updatedAt:
          type: string
          format: date-time
          description: Timestamp of the last row update.
        computed:
          type: object
          additionalProperties:
            type: object
            properties:
              status:
                type: string
              error:
                type: string
              updatedBy:
                type: string
              updatedAt:
                type: string
            required:
              - status
            additionalProperties: false
        stale:
          type: array
          items:
            type: string
          description: '[Read-only] List of stale values that are waiting to be recomputed.'
        similarity:
          type: number
          description: >-
            Optional numeric value indicating similarity, when using
            findTableRows.
      required:
        - id
        - computed
      additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````